<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_37d6fcac1e4ca360" . "eb11bb40c4897aea" => base64_decode("U0VTU0l" . "PTl8="), "_25867e3e3db289692" . "53f3a370c3166ba" => base64_decode("ZGVzY" . "w=="), "_cfe3120f54395b670652b38c2" . "d0a8e88" => base64_decode("c3V" . "ic3" . "Ry"), "_b73e798a0" . "41f8fcca58" . "bc46afd245" . "52c" => base64_decode("aWNvbl9lZGl" . "0"), "_047cc94" . "62af7309" . "dcf20458" . "6ff650a9" . "d" => base64_decode("X3RyZWVwY" . "Wdpbmc="), "_b66252d7bbf361012a65" . "31a8e3a73230" => base64_decode("YXJyYX" . "lfZGlm" . "Zg=="), "_a591754a8ddcdbda" . "9c80f1db4d911e14" => base64_decode("aXNfbnV" . "sbA=="), "_aa7e860da" . "1acd4e767e" . "0df9d7d407" . "380" => base64_decode("ZGF0ZV9jcm" . "VhdGVk"), "_6f38e6660ae5" . "bf0084b669666" . "588589c" => base64_decode("bW" . "V0" . "YV" . "8="), "_bd71c3b5c201" . "fc11db82ed14c" . "e424de5" => base64_decode("aW5fYXJ" . "yYXk="));





class ImageListViewController extends ClaTreeViewController
{
    protected $columns_to_show;
    protected $album_id;
    
    
    
    
    
    public function __construct()
    {
        parent::__construct();
        $this->SetPagingParams(true, 15, 0);
        $this->sort_column = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_aa7e860da1acd4e767e0df9d7d40738" . "0"];
        $this->sort_direction = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_25867e3e3db2" . "8969253f3a370" . "c3166ba"];
        $this->metadata = array();
        
        
        $this->columns_to_show = null;
        $this->album_id = 0;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function SetPagingParams($use_paging, $page_size = 20, $page_offset = 0, $max_items_wo_paging = null, $max_items_to_process = 1000)
    {
        parent::SetPagingParams($use_paging, $page_size, $page_offset, $max_items_wo_paging, $max_items_to_process);
        $this->max_items_wo_paging = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a591754a8ddcdbda9c80f1db4d9" . "11e14"]($max_items_wo_paging) ? $page_size : $max_items_wo_paging;
        return true;
    }
    protected function _BranchOpenCloseAll($id, $status)
    {
    }
    public static function DoTreeGPCOperations($controller, $session_prefix, $album_id = null)
    {
        
        
        $_f2d45f565f12276f8d871b3e215d01eb = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_37d6fcac1e4ca360eb11bb40c" . "4897aea"] . $session_prefix . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_047cc9462af7309dcf204586ff" . "650a9d"];
        $_SESSION[$_f2d45f565f12276f8d871b3e215d01eb] = array();
        $controller->album_id = $album_id;
        ClaTreeViewController::DoTreeGPCOperations($controller, $session_prefix, $album_id);
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a591754a8ddcdbda9c8" . "0f1db4d911e14"]($controller->columns_to_show)) {
            $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($controller->album_id);
            $controller->columns_to_show = $_0bc7588938bfc7dc40d438d105dcdf1c->GetListColumns();
            $controller->metadata = array();
            foreach ($controller->columns_to_show as $_39ee6ebc906f3b410a43566f3d34d868) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_cfe3120f54395b670652b38" . "c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 0, 5) == $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6f38e6660ae5bf0084b6" . "69666588589c"]) {
                    $controller->metadata[] = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_cfe3120f54395b670652" . "b38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 5);
                }
            }
            if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bd71c3b5c201fc11d" . "b82ed14ce424de5"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b73e798a041f8fcca" . "58bc46afd24552c"], $controller->columns_to_show)) {
                if (!$controller->IsAdminMode() && !$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_EDIT_META)) {
                    $controller->columns_to_show = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b66252d7bbf361012a6531" . "a8e3a73230"]($controller->columns_to_show, array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b73e798a041f8fcca58" . "bc46afd24552c"]));
                }
            }
        }
    }
    
    
    
    
    
    
    public function GetColumnsListToShow()
    {
        
        
        $_189840d11056515e52402d1412a0b6e4 = $this->columns_to_show;
        
        
        
        
        
        return $_189840d11056515e52402d1412a0b6e4;
    }
}